Next: cacosh, Previous: cabs, Up: Complex

### 2.2 `cacos`, `cacosf`—complex arc cosine

Synopsis

         #include <complex.h>
         double complex cacos(double complex z);
         float complex cacosf(float complex z);

Description
These functions compute the complex arc cosine of z, with branch cuts outside the interval [-1, +1] along the real axis.

`cacosf` is identical to `cacos`, except that it performs its calculations on `floats complex`.

Returns
These functions return the complex arc cosine value, in the range of a strip mathematically unbounded along the imaginary axis and in the interval [0, pi] along the real axis.

Portability
`cacos` and `cacosf` are ISO C99